-- MySQL dump 10.13  Distrib 5.5.24, for Win32 (x86)
--
-- Host: localhost    Database: tafdb420
-- ------------------------------------------------------
-- Server version	5.5.24

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `acl_class`
--

DROP TABLE IF EXISTS `acl_class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `acl_class` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `class` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_2` (`class`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `acl_class`
--

LOCK TABLES `acl_class` WRITE;
/*!40000 ALTER TABLE `acl_class` DISABLE KEYS */;
INSERT INTO `acl_class` VALUES (6,'au.com.testpro.security.spring.AbstractSecureObject');
/*!40000 ALTER TABLE `acl_class` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_entry`
--

DROP TABLE IF EXISTS `acl_entry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `acl_entry` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `acl_object_identity` bigint(20) NOT NULL,
  `sid` bigint(20) NOT NULL,
  `mask` int(11) NOT NULL,
  `ace_order` int(11) NOT NULL,
  `granting` tinyint(1) NOT NULL,
  `audit_success` tinyint(1) NOT NULL,
  `audit_failure` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uk_4` (`acl_object_identity`,`ace_order`),
  KEY `fk_5` (`sid`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `acl_entry`
--

LOCK TABLES `acl_entry` WRITE;
/*!40000 ALTER TABLE `acl_entry` DISABLE KEYS */;
INSERT INTO `acl_entry` VALUES (4,6,6,16,1,1,0,0),(5,6,7,16,2,1,0,0),(6,7,6,16,3,1,0,0),(7,8,6,16,4,1,0,0),(8,8,7,16,5,1,0,0),(9,9,6,16,6,1,0,0),(10,9,7,16,7,1,0,0),(11,10,6,16,8,1,0,0);
/*!40000 ALTER TABLE `acl_entry` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_object_identity`
--

DROP TABLE IF EXISTS `acl_object_identity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `acl_object_identity` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `object_id_class` bigint(20) NOT NULL,
  `object_id_identity` bigint(20) NOT NULL,
  `owner_sid` bigint(20) DEFAULT NULL,
  `parent_object` bigint(20) DEFAULT NULL,
  `entries_inheriting` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uk_3` (`object_id_class`,`object_id_identity`),
  KEY `fk_1` (`parent_object`),
  KEY `fk_3` (`owner_sid`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `acl_object_identity`
--

LOCK TABLES `acl_object_identity` WRITE;
/*!40000 ALTER TABLE `acl_object_identity` DISABLE KEYS */;
INSERT INTO `acl_object_identity` VALUES (6,6,1,8,NULL,0),(7,6,5,8,NULL,0),(8,6,3,8,NULL,0),(9,6,2,8,NULL,0),(10,6,4,8,NULL,0);
/*!40000 ALTER TABLE `acl_object_identity` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_sid`
--

DROP TABLE IF EXISTS `acl_sid`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `acl_sid` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `principal` tinyint(1) NOT NULL,
  `sid` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_1` (`principal`,`sid`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `acl_sid`
--

LOCK TABLES `acl_sid` WRITE;
/*!40000 ALTER TABLE `acl_sid` DISABLE KEYS */;
INSERT INTO `acl_sid` VALUES (7,0,'ROLE_ADMINISTRATOR'),(6,0,'ROLE_SUPER_ADMIN'),(8,0,'USER_TYPE');
/*!40000 ALTER TABLE `acl_sid` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `actiondata`
--

DROP TABLE IF EXISTS `actiondata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `actiondata` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `DataValue` varchar(767) NOT NULL,
  `dataNameRef` int(10) unsigned NOT NULL,
  `rowIdentifierRef` int(10) unsigned NOT NULL,
  `type` int(10) unsigned NOT NULL,
  `encryptedValue` VARBINARY(1024) NULL,
  `encodedValue` BINARY(8) NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IX_ActionData` (`rowIdentifierRef`,`dataNameRef`),
  KEY `FK_ActionData_Name` (`dataNameRef`),
  KEY `FK_ActionData_Row` (`rowIdentifierRef`),
  CONSTRAINT `FK_ActionData_Name` FOREIGN KEY (`dataNameRef`) REFERENCES `datanames` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_ActionData_Row` FOREIGN KEY (`rowIdentifierRef`) REFERENCES `rowidentifiers` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=27041 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `actiondata`
--

LOCK TABLES `actiondata` WRITE;
/*!40000 ALTER TABLE `actiondata` DISABLE KEYS */;
/*!40000 ALTER TABLE `actiondata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `actionnames`
--

DROP TABLE IF EXISTS `actionnames`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `actionnames` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL,
  `description` varchar(255) NOT NULL,
  `scriptRef` int(10) unsigned NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `application` varchar(45) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IX_actionnames` (`scriptRef`,`name`,`application`) USING BTREE,
  KEY `FK_actionnames_script` (`scriptRef`),
  CONSTRAINT `FK_actionnames_script` FOREIGN KEY (`scriptRef`) REFERENCES `scripts` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `actionnames`
--

LOCK TABLES `actionnames` WRITE;
/*!40000 ALTER TABLE `actionnames` DISABLE KEYS */;
/*!40000 ALTER TABLE `actionnames` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `actionresults`
--

DROP TABLE IF EXISTS `actionresults`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `actionresults` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `DateTimeStarted` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `DateTimeCompleted` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `actionNameRef` int(10) unsigned NOT NULL,
  `testCaseResultsRef` int(10) unsigned NOT NULL,
  `testResult` smallint(5) signed NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idxDateTime` (`DateTimeStarted`,`DateTimeCompleted`,`actionNameRef`,`testCaseResultsRef`),
  KEY `FK_actionresults_action` (`actionNameRef`),
  KEY `FK_actionresults_testcaseresults` (`testCaseResultsRef`),
  CONSTRAINT `FK_actionresults_action` FOREIGN KEY (`actionNameRef`) REFERENCES `actionnames` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_actionresults_testcaseresults` FOREIGN KEY (`testCaseResultsRef`) REFERENCES `testcaseresults` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `actionresults`
--

LOCK TABLES `actionresults` WRITE;
/*!40000 ALTER TABLE `actionresults` DISABLE KEYS */;
/*!40000 ALTER TABLE `actionresults` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `authorities`
--

DROP TABLE IF EXISTS `authorities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `authorities` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `authority` varchar(255) NOT NULL,
  `userRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idxAuthority` (`authority`,`userRef`),
  KEY `FK_authorities_user` (`userRef`),
  CONSTRAINT `FK_authorities_user` FOREIGN KEY (`userRef`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `authorities`
--

LOCK TABLES `authorities` WRITE;
/*!40000 ALTER TABLE `authorities` DISABLE KEYS */;
/*!40000 ALTER TABLE `authorities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `batchrequests`
--

DROP TABLE IF EXISTS `batchrequests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `batchrequests` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `testplan` varchar(767) NOT NULL,
  `resultsPath` varchar(767) NOT NULL,
  `fileFormat` char(3) NOT NULL,
  `resultsCategory` char(4) NOT NULL,
  `userEnvironmentRef` int(10) unsigned NOT NULL,
  `emailResults` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_batchrequests_env` (`userEnvironmentRef`),
  CONSTRAINT `FK_batchrequests_env` FOREIGN KEY (`userEnvironmentRef`) REFERENCES `userenvironments` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=40 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `batchrequests`
--

LOCK TABLES `batchrequests` WRITE;
/*!40000 ALTER TABLE `batchrequests` DISABLE KEYS */;
/*!40000 ALTER TABLE `batchrequests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `batchsuites`
--

DROP TABLE IF EXISTS `batchsuites`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `batchsuites` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `maximumRowsToExecute` int(10) unsigned NOT NULL,
  `name` varchar(100) NOT NULL,
  `description` varchar(767) NOT NULL,
  `sequence` int(10) unsigned NOT NULL,
  `executionTestSuiteRef` int(10) unsigned NOT NULL,
  `filterSuiteRef` int(10) unsigned DEFAULT NULL,
  `batchRequestRef` int(10) unsigned NOT NULL,
  `stopOnFailure` tinyint(1) NOT NULL,
  `specifyRowsToRun` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_BatchSuite` (`name`,`batchRequestRef`,`executionTestSuiteRef`,`filterSuiteRef`) USING BTREE,
  KEY `FK_BatchSuites_ets` (`executionTestSuiteRef`),
  KEY `FK_BatchSuites_fs` (`filterSuiteRef`),
  KEY `FK_batchsuites_req` (`batchRequestRef`),
  CONSTRAINT `FK_BatchSuites_ets` FOREIGN KEY (`executionTestSuiteRef`) REFERENCES `executiontestsuites` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_BatchSuites_fs` FOREIGN KEY (`filterSuiteRef`) REFERENCES `filtersuites` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_batchsuites_req` FOREIGN KEY (`batchRequestRef`) REFERENCES `batchrequests` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `batchsuites`
--

LOCK TABLES `batchsuites` WRITE;
/*!40000 ALTER TABLE `batchsuites` DISABLE KEYS */;
/*!40000 ALTER TABLE `batchsuites` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `datagroupdatanames`
--

DROP TABLE IF EXISTS `datagroupdatanames`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `datagroupdatanames` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `sequence` int(11) NOT NULL,
  `dataNameRef` int(10) unsigned NOT NULL,
  `scriptDataRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_DataNames_DataGroup` (`sequence`,`dataNameRef`,`scriptDataRef`),
  KEY `FK_datagroup_scriptdata` (`scriptDataRef`),
  KEY `FK_datagroup_datanames` (`dataNameRef`),
  CONSTRAINT `FK_datagroup_datanames` FOREIGN KEY (`dataNameRef`) REFERENCES `datanames` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_datagroup_scriptdata` FOREIGN KEY (`scriptDataRef`) REFERENCES `scriptdata` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `datagroupdatanames`
--

LOCK TABLES `datagroupdatanames` WRITE;
/*!40000 ALTER TABLE `datagroupdatanames` DISABLE KEYS */;
/*!40000 ALTER TABLE `datagroupdatanames` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `datagroupresults`
--

DROP TABLE IF EXISTS `datagroupresults`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `datagroupresults` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `DateTimeStarted` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `DateTimeCompleted` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `dataGroupRef` int(10) unsigned NOT NULL,
  `actionResultsRef` int(10) unsigned NOT NULL,
  `testResult` smallint(5) signed NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idxDateTime` (`DateTimeStarted`,`DateTimeCompleted`,`dataGroupRef`,`actionResultsRef`),
  KEY `FK_datagroupresults_actionresults` (`actionResultsRef`),
  KEY `FK_datagroupresults_datagroup` (`dataGroupRef`),
  CONSTRAINT `FK_datagroupresults_actionresults` FOREIGN KEY (`actionResultsRef`) REFERENCES `actionresults` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_datagroupresults_datagroup` FOREIGN KEY (`dataGroupRef`) REFERENCES `datagroups` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `datagroupresults`
--

LOCK TABLES `datagroupresults` WRITE;
/*!40000 ALTER TABLE `datagroupresults` DISABLE KEYS */;
/*!40000 ALTER TABLE `datagroupresults` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `datagroups`
--

DROP TABLE IF EXISTS `datagroups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `datagroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL,
  `description` varchar(255) NOT NULL,
  `scriptRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idxName` (`name`,`scriptRef`) USING BTREE,
  KEY `FK_datagroups_script` (`scriptRef`),
  CONSTRAINT `FK_datagroups_script` FOREIGN KEY (`scriptRef`) REFERENCES `scripts` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `datagroups`
--

LOCK TABLES `datagroups` WRITE;
/*!40000 ALTER TABLE `datagroups` DISABLE KEYS */;
/*!40000 ALTER TABLE `datagroups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `datanames`
--

DROP TABLE IF EXISTS `datanames`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `datanames` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `DataName` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idxName` (`DataName`)
) ENGINE=InnoDB AUTO_INCREMENT=66 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `datanames`
--

LOCK TABLES `datanames` WRITE;
/*!40000 ALTER TABLE `datanames` DISABLE KEYS */;
/*!40000 ALTER TABLE `datanames` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `emailcredentials`
--

DROP TABLE IF EXISTS `emailcredentials`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `emailcredentials` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `emailAddress` varchar(255) NOT NULL,
  `encoded` binary(8) DEFAULT NULL,
  `emailPassword` varbinary(255) NOT NULL,
  `emailServer` varchar(255) NOT NULL,
  `emailPort` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `emailcredentials`
--

LOCK TABLES `emailcredentials` WRITE;
/*!40000 ALTER TABLE `emailcredentials` DISABLE KEYS */;
/*!40000 ALTER TABLE `emailcredentials` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `environments`
--

DROP TABLE IF EXISTS `environments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `environments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Name` varchar(45) NOT NULL,
  `Description` varchar(255) NOT NULL,
  `ToolType` varchar(26) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idxName` (`Name`)
) ENGINE=InnoDB AUTO_INCREMENT=49 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `environments`
--

LOCK TABLES `environments` WRITE;
/*!40000 ALTER TABLE `environments` DISABLE KEYS */;
INSERT INTO `environments` VALUES (1,'Default','Default environment','ADMIN');
/*!40000 ALTER TABLE `environments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `executionactions`
--

DROP TABLE IF EXISTS `executionactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `executionactions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Sequence` int(10) unsigned NOT NULL,
  `plannedActionRef` int(10) unsigned NOT NULL DEFAULT '0',
  `executionTestCaseRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idxSequence` (`Sequence`,`plannedActionRef`,`executionTestCaseRef`) USING BTREE,
  KEY `FK_ExecutionActions_Action` (`plannedActionRef`),
  KEY `FK_ExecutionActions_TestCase` (`executionTestCaseRef`),
  CONSTRAINT `FK_executionactions_PlannedAction` FOREIGN KEY (`plannedActionRef`) REFERENCES `plannedactions` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_ExecutionActions_TestCase` FOREIGN KEY (`executionTestCaseRef`) REFERENCES `executiontestcases` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `executionactions`
--

LOCK TABLES `executionactions` WRITE;
/*!40000 ALTER TABLE `executionactions` DISABLE KEYS */;
/*!40000 ALTER TABLE `executionactions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `executiondatagroups`
--

DROP TABLE IF EXISTS `executiondatagroups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `executiondatagroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Sequence` int(10) unsigned NOT NULL,
  `dataGroupRef` int(10) unsigned NOT NULL DEFAULT '0',
  `executionActionRef` int(10) unsigned NOT NULL DEFAULT '0',
  `userScriptDataRef` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `IDX_Sequence` (`Sequence`,`dataGroupRef`,`executionActionRef`,`userScriptDataRef`) USING BTREE,
  KEY `FK_executiondatagroups_action` (`executionActionRef`),
  KEY `FK_ExecutionDataGroups_Group` (`dataGroupRef`),
  KEY `FK_ExecutionDataGroups_UserScriptData` (`userScriptDataRef`),
  CONSTRAINT `FK_executiondatagroups_action` FOREIGN KEY (`executionActionRef`) REFERENCES `executionactions` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_ExecutionDataGroups_Group` FOREIGN KEY (`dataGroupRef`) REFERENCES `datagroups` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_ExecutionDataGroups_UserScriptData` FOREIGN KEY (`userScriptDataRef`) REFERENCES `userscriptdata` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `executiondatagroups`
--

LOCK TABLES `executiondatagroups` WRITE;
/*!40000 ALTER TABLE `executiondatagroups` DISABLE KEYS */;
/*!40000 ALTER TABLE `executiondatagroups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `executionscenarios`
--

DROP TABLE IF EXISTS `executionscenarios`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `executionscenarios` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Sequence` int(10) unsigned NOT NULL,
  `plannedScenarioRef` int(10) unsigned NOT NULL,
  `executionTestSuiteRef` int(10) unsigned NOT NULL,
  `iterating` tinyint(1) NOT NULL,
  `maximumRowsToExecute` int(10) unsigned NOT NULL,
  `stopOnFailure` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_Sequence` (`Sequence`,`plannedScenarioRef`,`executionTestSuiteRef`) USING BTREE,
  KEY `FK_executionscenarios_plannedscenarios` (`plannedScenarioRef`),
  KEY `FK_executionscenarios_suite` (`executionTestSuiteRef`),
  CONSTRAINT `FK_executionscenarios_plannedscenarios` FOREIGN KEY (`plannedScenarioRef`) REFERENCES `plannedscenarios` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_executionscenarios_suite` FOREIGN KEY (`executionTestSuiteRef`) REFERENCES `executiontestsuites` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `executionscenarios`
--

LOCK TABLES `executionscenarios` WRITE;
/*!40000 ALTER TABLE `executionscenarios` DISABLE KEYS */;
/*!40000 ALTER TABLE `executionscenarios` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `executionscenariovariables`
--

DROP TABLE IF EXISTS `executionscenariovariables`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `executionscenariovariables` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dataNameRef` int(10) unsigned NOT NULL,
  `executionScenarioRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_Variables` (`dataNameRef`,`executionScenarioRef`),
  KEY `FK_executionscenariovariables_datanames` (`dataNameRef`),
  KEY `FK_executionscenariovariables_scenarios` (`executionScenarioRef`),
  CONSTRAINT `FK_executionscenariovariables_datanames` FOREIGN KEY (`dataNameRef`) REFERENCES `datanames` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_executionscenariovariables_scenarios` FOREIGN KEY (`executionScenarioRef`) REFERENCES `executionscenarios` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `executionscenariovariables`
--

LOCK TABLES `executionscenariovariables` WRITE;
/*!40000 ALTER TABLE `executionscenariovariables` DISABLE KEYS */;
/*!40000 ALTER TABLE `executionscenariovariables` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `executiontestcases`
--

DROP TABLE IF EXISTS `executiontestcases`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `executiontestcases` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Sequence` int(10) unsigned NOT NULL,
  `plannedTestCaseRef` int(10) unsigned NOT NULL,
  `executionScenarioRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_Sequence` (`Sequence`,`plannedTestCaseRef`,`executionScenarioRef`),
  KEY `FK_executiontestcases_plannedtestcase` (`plannedTestCaseRef`),
  KEY `FK_executiontestcases_scenario` (`executionScenarioRef`),
  CONSTRAINT `FK_executiontestcases_plannedtestcase` FOREIGN KEY (`plannedTestCaseRef`) REFERENCES `plannedtestcases` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_executiontestcases_scenario` FOREIGN KEY (`executionScenarioRef`) REFERENCES `executionscenarios` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `executiontestcases`
--

LOCK TABLES `executiontestcases` WRITE;
/*!40000 ALTER TABLE `executiontestcases` DISABLE KEYS */;
/*!40000 ALTER TABLE `executiontestcases` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `executiontestsuites`
--

DROP TABLE IF EXISTS `executiontestsuites`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `executiontestsuites` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL,
  `description` varchar(255) NOT NULL,
  `userEnvironmentRef` int(10) unsigned NOT NULL,
  `status` char(7) NOT NULL,
  `Visible` BIT NOT NULL DEFAULT 1,
  `reason` VARCHAR(255) NULL,
  `dateTimeChanged` TIMESTAMP NULL,
  `enabled` BIT NOT NULL DEFAULT 1,
  `userRef` INT UNSIGNED NULL,
  `executionTestSuiteRef` INT UNSIGNED NULL,
  PRIMARY KEY (`id`),
  INDEX `IX_ExecutionTestSuites` (`userEnvironmentRef` ASC, `enabled` ASC, `name` ASC),
  KEY `FK_executiontestsuites_env` (`userEnvironmentRef`),
  KEY `FK_executionTestSuites_users` (`userRef`),
  KEY `FK_executionTestSuites_suites` (`executionTestSuiteRef`),
  CONSTRAINT `FK_executiontestsuites_env` FOREIGN KEY (`userEnvironmentRef`) REFERENCES `userenvironments` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_executionTestSuites_users` FOREIGN KEY (`userRef`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_executionTestSuites_suites` FOREIGN KEY (`executionTestSuiteRef`) REFERENCES `executionTestSuites` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=42 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `executiontestsuites`
--

LOCK TABLES `executiontestsuites` WRITE;
/*!40000 ALTER TABLE `executiontestsuites` DISABLE KEYS */;
/*!40000 ALTER TABLE `executiontestsuites` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `filteractions`
--

DROP TABLE IF EXISTS `filteractions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filteractions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `executionActionRef` int(10) unsigned NOT NULL,
  `filterTestCaseRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_Action_Filter` (`executionActionRef`,`filterTestCaseRef`),
  KEY `FK_FilterActions_Execution` (`executionActionRef`),
  KEY `FK_FilterActions_TestCase` (`filterTestCaseRef`),
  CONSTRAINT `FK_FilterActions_Execution` FOREIGN KEY (`executionActionRef`) REFERENCES `executionactions` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_FilterActions_TestCase` FOREIGN KEY (`filterTestCaseRef`) REFERENCES `filtertestcases` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filteractions`
--

LOCK TABLES `filteractions` WRITE;
/*!40000 ALTER TABLE `filteractions` DISABLE KEYS */;
/*!40000 ALTER TABLE `filteractions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `filterdatagroups`
--

DROP TABLE IF EXISTS `filterdatagroups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filterdatagroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `executionDataGroupRef` int(10) unsigned NOT NULL,
  `filterActionRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_DataGroup_Filter` (`executionDataGroupRef`,`filterActionRef`),
  KEY `FK_FilterDataGroups_Action` (`filterActionRef`),
  KEY `FK_FilterDataGroups_Execution` (`executionDataGroupRef`),
  CONSTRAINT `FK_FilterDataGroups_Action` FOREIGN KEY (`filterActionRef`) REFERENCES `filteractions` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_FilterDataGroups_Execution` FOREIGN KEY (`executionDataGroupRef`) REFERENCES `executiondatagroups` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filterdatagroups`
--

LOCK TABLES `filterdatagroups` WRITE;
/*!40000 ALTER TABLE `filterdatagroups` DISABLE KEYS */;
/*!40000 ALTER TABLE `filterdatagroups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `filterkeywords`
--

DROP TABLE IF EXISTS `filterkeywords`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filterkeywords` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dataNameRef` int(10) unsigned NOT NULL,
  `filterDataGroupRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_DataGroup_Filter` (`dataNameRef`,`filterDataGroupRef`),
  KEY `FK_filterkeywords_datagroup` (`filterDataGroupRef`),
  KEY `FK_filterkeywords_dataname` (`dataNameRef`),
  CONSTRAINT `FK_filterkeywords_datagroup` FOREIGN KEY (`filterDataGroupRef`) REFERENCES `filterdatagroups` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_filterkeywords_dataname` FOREIGN KEY (`dataNameRef`) REFERENCES `datanames` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filterkeywords`
--

LOCK TABLES `filterkeywords` WRITE;
/*!40000 ALTER TABLE `filterkeywords` DISABLE KEYS */;
/*!40000 ALTER TABLE `filterkeywords` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `filterscenarios`
--

DROP TABLE IF EXISTS `filterscenarios`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filterscenarios` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `executionScenarioRef` int(10) unsigned NOT NULL DEFAULT '0',
  `filterSuiteRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_Scenario` (`executionScenarioRef`,`filterSuiteRef`) USING BTREE,
  KEY `FK_FilterScenarios_execution` (`executionScenarioRef`),
  KEY `FK_FilterScenarios_Suite` (`filterSuiteRef`),
  CONSTRAINT `FK_FilterScenarios_execution` FOREIGN KEY (`executionScenarioRef`) REFERENCES `executionscenarios` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_FilterScenarios_Suite` FOREIGN KEY (`filterSuiteRef`) REFERENCES `filtersuites` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filterscenarios`
--

LOCK TABLES `filterscenarios` WRITE;
/*!40000 ALTER TABLE `filterscenarios` DISABLE KEYS */;
/*!40000 ALTER TABLE `filterscenarios` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `filtersuites`
--

DROP TABLE IF EXISTS `filtersuites`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filtersuites` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Name` varchar(45) NOT NULL,
  `Description` varchar(255) NOT NULL,
  `executionTestSuiteRef` int(10) unsigned NOT NULL DEFAULT '0',
  `reason` VARCHAR(255) NULL,
  `dateTimeChanged` TIMESTAMP NULL,
  `enabled` BIT NOT NULL DEFAULT 1,
  `userRef` INT UNSIGNED NULL,
  `filterSuiteRef` INT UNSIGNED NULL,
  PRIMARY KEY (`id`),
  INDEX `IX_FilterSuites` (`executionTestSuiteRef` ASC, `enabled` ASC, `name` ASC),
  KEY `FK_filtersuites_execution` (`executionTestSuiteRef`),
  KEY `FK_filterSuites_users` (`userRef`),
  KEY `FK_filterSuites_filters` (`filterSuiteRef`),
  CONSTRAINT `FK_filtersuites_execution` FOREIGN KEY (`executionTestSuiteRef`) REFERENCES `executiontestsuites` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_filterSuites_users` FOREIGN KEY (`userRef`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_filterSuites_filters` FOREIGN KEY (`filterSuiteRef`) REFERENCES `filterSuites` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filtersuites`
--

LOCK TABLES `filtersuites` WRITE;
/*!40000 ALTER TABLE `filtersuites` DISABLE KEYS */;
/*!40000 ALTER TABLE `filtersuites` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `filtertestcases`
--

DROP TABLE IF EXISTS `filtertestcases`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filtertestcases` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `executionTestCaseRef` int(10) unsigned NOT NULL,
  `filterScenarioRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_TestCase_Filter` (`executionTestCaseRef`,`filterScenarioRef`),
  KEY `FK_FilterTestCases_Execution` (`executionTestCaseRef`),
  KEY `FK_FilterTestCases_Scenario` (`filterScenarioRef`),
  CONSTRAINT `FK_FilterTestCases_Execution` FOREIGN KEY (`executionTestCaseRef`) REFERENCES `executiontestcases` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_FilterTestCases_Scenario` FOREIGN KEY (`filterScenarioRef`) REFERENCES `filterscenarios` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filtertestcases`
--

LOCK TABLES `filtertestcases` WRITE;
/*!40000 ALTER TABLE `filtertestcases` DISABLE KEYS */;
/*!40000 ALTER TABLE `filtertestcases` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `filtervalues`
--

DROP TABLE IF EXISTS `filtervalues`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filtervalues` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `DataValue` varchar(767) NOT NULL,
  `filterKeywordRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_Value` (`DataValue`,`filterKeywordRef`),
  KEY `FK_FilterValues_Keyword` (`filterKeywordRef`),
  CONSTRAINT `FK_FilterValues_Keyword` FOREIGN KEY (`filterKeywordRef`) REFERENCES `filterkeywords` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filtervalues`
--

LOCK TABLES `filtervalues` WRITE;
/*!40000 ALTER TABLE `filtervalues` DISABLE KEYS */;
/*!40000 ALTER TABLE `filtervalues` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `generatedvalues`
--

DROP TABLE IF EXISTS `generatedvalues`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `generatedvalues` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `generatedName` char(8) NOT NULL,
  `generatedValue` char(8) NOT NULL,
  `environmentRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idxName` (`generatedName`,`environmentRef`) USING BTREE,
  KEY `FK_generatedvalues_Env` (`environmentRef`),
  CONSTRAINT `FK_generatedvalues_Env` FOREIGN KEY (`environmentRef`) REFERENCES `environments` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `generatedvalues`
--

LOCK TABLES `generatedvalues` WRITE;
/*!40000 ALTER TABLE `generatedvalues` DISABLE KEYS */;
/*!40000 ALTER TABLE `generatedvalues` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `group_authorities`
--

DROP TABLE IF EXISTS `group_authorities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `group_authorities` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `group_id` bigint(20) NOT NULL,
  `authority` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_groups` (`group_id`),
  CONSTRAINT `fk_groups` FOREIGN KEY (`group_id`) REFERENCES `groups` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=148 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `group_authorities`
--

LOCK TABLES `group_authorities` WRITE;
/*!40000 ALTER TABLE `group_authorities` DISABLE KEYS */;
INSERT INTO `group_authorities` VALUES (140,125,'ROLE_TESTER'),(141,126,'ROLE_SUPER_ADMIN'),(142,127,'ROLE_MANAGER'),(143,128,'ROLE_SCRIPTER'),(144,129,'ROLE_ADMINISTRATOR'),(147,126,'ROLE_ADMINISTRATOR');
/*!40000 ALTER TABLE `group_authorities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `group_members`
--

DROP TABLE IF EXISTS `group_members`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `group_members` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL,
  `group_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unique_entry_group_members` (`username`,`group_id`),
  KEY `fk_group_id` (`group_id`),
  KEY `fk_group_members_user` (`username`),
  CONSTRAINT `fk_group_id` FOREIGN KEY (`group_id`) REFERENCES `groups` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_group_members_user` FOREIGN KEY (`username`) REFERENCES `users` (`username`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `group_members`
--

LOCK TABLES `group_members` WRITE;
/*!40000 ALTER TABLE `group_members` DISABLE KEYS */;
/*!40000 ALTER TABLE `group_members` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `groups`
--

DROP TABLE IF EXISTS `groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `groups` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `group_name` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unique_groupname` (`group_name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=130 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `groups`
--

LOCK TABLES `groups` WRITE;
/*!40000 ALTER TABLE `groups` DISABLE KEYS */;
INSERT INTO `groups` VALUES (129,'ADMINISTRATOR'),(127,'MANAGER'),(128,'SCRIPTER'),(126,'SUPER_ADMIN'),(125,'TESTER');
/*!40000 ALTER TABLE `groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `licences`
--

DROP TABLE IF EXISTS `licences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `licences` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL,
  `version` varchar(255) NOT NULL DEFAULT '',
  `source` varchar(255) NOT NULL,
  `licenceType` varchar(255) NOT NULL,
  `licenceFile` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `NameIndex` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `licences`
--

LOCK TABLES `licences` WRITE;
/*!40000 ALTER TABLE `licences` DISABLE KEYS */;
INSERT INTO `licences` (`name`,`version`,`source`,`licenceType`,`licenceFile`) VALUES ('AspectJ','1.6.11','AspectJ TM Compiler and Core Tools License', 'http://eclipse.org/aspectj/','licenses/aspectj.pdf'),('Commons CLI','1.2','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://commons.apache.org/proper/commons-cli/','licenses/apache.pdf'),('Commons Codec','1.4','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://commons.apache.org/proper/commons-codec/','licenses/apache.pdf'),('Commons Collections','3.2.1','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://commons.apache.org/proper/commons-collections/','licenses/apache.pdf'),('Commons DBCP','1.4','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://commons.apache.org/proper/commons-dbcp/','licenses/apache.pdf'),('Commons Email','1.2','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://commons.apache.org/proper/commons-email/','licenses/apache.pdf'),('Commons IO','1.4','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://commons.apache.org/proper/commons-io/','licenses/apache.pdf'), ('Commons Logging','1.1.1','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://commons.apache.org/proper/commons-logging/','licenses/apache.pdf'),('Commons Pool','1.5.4','http://commons.apache.org/proper/commons-pool/','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','licenses/apache.pdf'),('EHCache','2.2.0','http://ehcache.org/','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','licenses/apache.pdf'),('Hibernate','3.3.2','http://www.hibernate.org','GNU Lesser General Public License Version 2.1, February 1999','licenses/lgpl.pdf'),('ini4j','0.5.1','http://ini4j.sourceforge.net','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','licenses/apache.pdf'),('Jasypt','1.9.0','http://www.jasypt.org','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','licenses/apache.pdf'),('Java','1.7.0_25-b17','http://www.oracle.com/technetwork/java/index.html','Oracle Binary Code License Agreement for the Java SE Platform Products and JavaFX','licenses/java.pdf'),('Javassist','3.11','http://www.jboss.org/javassist/','Mozilla Public License 1.1','licenses/mozilla.pdf'),('JdatePicker','1.3.2','http://sourceforge.net/projects/jdatepicker/','BSD License','licenses/bsd.pdf'),('Log4j','1.2.17','http://logging.apache.org/','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','licenses/apache.pdf'),('slf4j','1.6.1','http://www.slf4j.org/','Copyright (c) 2004-2008 QOS.ch','licenses/qos.pdf'),('Spring','2.5.6','http://www.springframework.org','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','licenses/apache.pdf'),('Spring Security','2.0.5','http://www.springframework.org','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','licenses/apache.pdf'),('TestPro','Set at build time','http://www.com.au','Commercial','licenses/testpro_framework.pdf');
/*!40000 ALTER TABLE `licences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `messageresults`
--

DROP TABLE IF EXISTS `messageresults`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `messageresults` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` smallint(5) signed NOT NULL,
  `sequence` int(10) unsigned NOT NULL,
  `resultText` text NOT NULL,
  `dataGroupResultsRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_Message_Results` (`sequence`,`dataGroupResultsRef`),
  KEY `FK_messageresults_datagroup` (`dataGroupResultsRef`),
  CONSTRAINT `FK_messageresults_datagroup` FOREIGN KEY (`dataGroupResultsRef`) REFERENCES `datagroupresults` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `messageresults`
--

LOCK TABLES `messageresults` WRITE;
/*!40000 ALTER TABLE `messageresults` DISABLE KEYS */;
/*!40000 ALTER TABLE `messageresults` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `outputresultsdata`
--

DROP TABLE IF EXISTS `outputresultsdata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `outputresultsdata` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `DataName` varchar(255) NOT NULL,
  `DataValue` varchar(767) NOT NULL,
  `dataGroupResultsRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_DataName` (`DataName`,`dataGroupResultsRef`),
  KEY `FK_OutputResultsData_Group` (`dataGroupResultsRef`),
  CONSTRAINT `FK_OutputResultsData_Group` FOREIGN KEY (`dataGroupResultsRef`) REFERENCES `datagroupresults` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `outputresultsdata`
--

LOCK TABLES `outputresultsdata` WRITE;
/*!40000 ALTER TABLE `outputresultsdata` DISABLE KEYS */;
/*!40000 ALTER TABLE `outputresultsdata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `plannedactions`
--

DROP TABLE IF EXISTS `plannedactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `plannedactions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Sequence` int(10) unsigned NOT NULL DEFAULT '0',
  `actionNameRef` int(10) unsigned NOT NULL,
  `plannedTestCaseRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_Sequence` (`Sequence`,`actionNameRef`,`plannedTestCaseRef`) USING BTREE,
  KEY `FK_PlannedActions_Action` (`actionNameRef`),
  KEY `FK_PlannedActions_TestCase` (`plannedTestCaseRef`),
  CONSTRAINT `FK_PlannedActions_Action` FOREIGN KEY (`actionNameRef`) REFERENCES `actionnames` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_PlannedActions_TestCase` FOREIGN KEY (`plannedTestCaseRef`) REFERENCES `plannedtestcases` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `plannedactions`
--

LOCK TABLES `plannedactions` WRITE;
/*!40000 ALTER TABLE `plannedactions` DISABLE KEYS */;
/*!40000 ALTER TABLE `plannedactions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `plannedscenarios`
--

DROP TABLE IF EXISTS `plannedscenarios`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `plannedscenarios` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `scenarioRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_Scenario` (`scenarioRef`),
  KEY `FK_PlannedScenarios_Scenario` (`scenarioRef`),
  CONSTRAINT `FK_PlannedScenarios_Scenario` FOREIGN KEY (`scenarioRef`) REFERENCES `scenarios` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `plannedscenarios`
--

LOCK TABLES `plannedscenarios` WRITE;
/*!40000 ALTER TABLE `plannedscenarios` DISABLE KEYS */;
/*!40000 ALTER TABLE `plannedscenarios` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `plannedtestcases`
--

DROP TABLE IF EXISTS `plannedtestcases`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `plannedtestcases` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Sequence` int(10) unsigned NOT NULL,
  `testCaseRef` int(10) unsigned NOT NULL,
  `plannedScenarioRef` int(10) unsigned NOT NULL,
  `original` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_TestCase` (`Sequence`,`testCaseRef`,`plannedScenarioRef`) USING BTREE,
  KEY `FK_PlannedTestCases_Scenario` (`plannedScenarioRef`),
  KEY `FK_PlannedTestCases_TestCase` (`testCaseRef`),
  CONSTRAINT `FK_PlannedTestCases_Scenario` FOREIGN KEY (`plannedScenarioRef`) REFERENCES `plannedscenarios` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_PlannedTestCases_TestCase` FOREIGN KEY (`testCaseRef`) REFERENCES `testcases` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `plannedtestcases`
--

LOCK TABLES `plannedtestcases` WRITE;
/*!40000 ALTER TABLE `plannedtestcases` DISABLE KEYS */;
/*!40000 ALTER TABLE `plannedtestcases` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `preconditionresultsdata`
--

DROP TABLE IF EXISTS `preconditionresultsdata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `preconditionresultsdata` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `DataName` varchar(255) NOT NULL,
  `DataValue` varchar(767) NOT NULL,
  `dataGroupResultsRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_DataName` (`DataName`,`dataGroupResultsRef`),
  KEY `FK_PreconditionResultsData_Group` (`dataGroupResultsRef`),
  CONSTRAINT `FK_PreconditionResultsData_Group` FOREIGN KEY (`dataGroupResultsRef`) REFERENCES `datagroupresults` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `preconditionresultsdata`
--

LOCK TABLES `preconditionresultsdata` WRITE;
/*!40000 ALTER TABLE `preconditionresultsdata` DISABLE KEYS */;
/*!40000 ALTER TABLE `preconditionresultsdata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `resultsdata`
--

DROP TABLE IF EXISTS `resultsdata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `resultsdata` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `DataName` varchar(255) NOT NULL,
  `DataValue` varchar(767) NOT NULL,
  `dataGroupResultsRef` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_Name` (`DataName`,`dataGroupResultsRef`) USING BTREE,
  KEY `FK_ResultsData_DataGroup` (`dataGroupResultsRef`),
  CONSTRAINT `FK_resultsdata_datagroup` FOREIGN KEY (`dataGroupResultsRef`) REFERENCES `datagroupresults` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `resultsdata`
--

LOCK TABLES `resultsdata` WRITE;
/*!40000 ALTER TABLE `resultsdata` DISABLE KEYS */;
/*!40000 ALTER TABLE `resultsdata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rowidentifiers`
--

DROP TABLE IF EXISTS `rowidentifiers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rowidentifiers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Row` int(10) unsigned NOT NULL,
  `actionNameRef` int(10) unsigned NOT NULL,
  `scriptDataRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idxRow` (`Row`,`actionNameRef`,`scriptDataRef`),
  KEY `FK_RowIdentifiers_Action` (`actionNameRef`),
  KEY `FK_RowIdentifiers_ScriptData` (`scriptDataRef`),
  CONSTRAINT `FK_RowIdentifiers_Action` FOREIGN KEY (`actionNameRef`) REFERENCES `actionnames` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_RowIdentifiers_ScriptData` FOREIGN KEY (`scriptDataRef`) REFERENCES `scriptdata` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=13521 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rowidentifiers`
--

LOCK TABLES `rowidentifiers` WRITE;
/*!40000 ALTER TABLE `rowidentifiers` DISABLE KEYS */;
/*!40000 ALTER TABLE `rowidentifiers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `scenarioresults`
--

DROP TABLE IF EXISTS `scenarioresults`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `scenarioresults` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `DateTimeStarted` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `DateTimeCompleted` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `scenarioRef` int(10) unsigned NOT NULL,
  `suiteRowResultsRef` int(10) unsigned NOT NULL DEFAULT '0',
  `iteration` int(10) NOT NULL,
  `testResult` smallint(5) signed NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_Time` (`DateTimeStarted`,`DateTimeCompleted`,`scenarioRef`,`suiteRowResultsRef`) USING BTREE,
  KEY `FK_ScenarioResults_Scenario` (`scenarioRef`),
  KEY `FK_scenarioresults_Suite` (`suiteRowResultsRef`),
  CONSTRAINT `FK_ScenarioResults_Scenario` FOREIGN KEY (`scenarioRef`) REFERENCES `scenarios` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_scenarioresults_Suite` FOREIGN KEY (`suiteRowResultsRef`) REFERENCES `suiterowresults` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `scenarioresults`
--

LOCK TABLES `scenarioresults` WRITE;
/*!40000 ALTER TABLE `scenarioresults` DISABLE KEYS */;
/*!40000 ALTER TABLE `scenarioresults` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `scenarios`
--

DROP TABLE IF EXISTS `scenarios`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `scenarios` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL,
  `description` varchar(255) NOT NULL,
  `environmentRef` int(10) unsigned NOT NULL,
  `reason` VARCHAR(255) NULL,
  `dateTimeChanged` TIMESTAMP,
  `enabled` BIT NOT NULL DEFAULT 1,
  `userRef` INT UNSIGNED NULL,
  `scenarioRef` INT UNSIGNED NULL,
  PRIMARY KEY (`id`),
  INDEX `IX_Scenarios` (`environmentRef` ASC, `enabled` ASC, `name` ASC),
  KEY `FK_scenarios_env` (`environmentRef`),
  KEY `FK_scenarios_users` (`userRef`),
  KEY `FK_scenarios_scenarios` (`scenarioRef`),
  CONSTRAINT `FK_scenarios_env` FOREIGN KEY (`environmentRef`) REFERENCES `environments` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_scenarios_users` FOREIGN KEY (`userRef`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_scenarios_scenarios` FOREIGN KEY (`scenarioRef`) REFERENCES `scenarios` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `scenarios`
--

LOCK TABLES `scenarios` WRITE;
/*!40000 ALTER TABLE `scenarios` DISABLE KEYS */;
/*!40000 ALTER TABLE `scenarios` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `scriptdata`
--

DROP TABLE IF EXISTS `scriptdata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `scriptdata` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dataGroupRef` int(10) unsigned NOT NULL,
  `nextAvailable` int(10) unsigned NOT NULL,
  `userRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_Group` (`dataGroupRef`,`userRef`) USING BTREE,
  KEY `FK_scriptdata_group` (`dataGroupRef`),
  KEY `FK_scriptdata_user` (`userRef`),
  CONSTRAINT `FK_scriptdata_group` FOREIGN KEY (`dataGroupRef`) REFERENCES `datagroups` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_scriptdata_user` FOREIGN KEY (`userRef`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `scriptdata`
--

LOCK TABLES `scriptdata` WRITE;
/*!40000 ALTER TABLE `scriptdata` DISABLE KEYS */;
/*!40000 ALTER TABLE `scriptdata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `scriptdatanames`
--

DROP TABLE IF EXISTS `scriptdatanames`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `scriptdatanames` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `scriptref` int(10) unsigned NOT NULL,
  `datanameref` int(10) unsigned NOT NULL,
  `sequence` int(10) unsigned NOT NULL,
  `type` int(10) unsigned NOT NULL,
  `setter` tinyint(4) NOT NULL DEFAULT '0',
  `getter` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_Name` (`scriptref`,`datanameref`),
  KEY `FK_scriptdatanames_name` (`datanameref`),
  KEY `FK_scriptdatanames_script` (`scriptref`),
  CONSTRAINT `FK_scriptdatanames_name` FOREIGN KEY (`datanameref`) REFERENCES `datanames` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_scriptdatanames_script` FOREIGN KEY (`scriptref`) REFERENCES `scripts` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=121 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `scriptdatanames`
--

LOCK TABLES `scriptdatanames` WRITE;
/*!40000 ALTER TABLE `scriptdatanames` DISABLE KEYS */;
/*!40000 ALTER TABLE `scriptdatanames` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `scripts`
--

DROP TABLE IF EXISTS `scripts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `scripts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `packageName` varchar(255) NOT NULL,
  `scriptname` varchar(255) NOT NULL,
  `lastModified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `environmentRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idxName` (`packageName`,`scriptname`,`environmentRef`) USING BTREE,
  KEY `FK_scripts_env` (`environmentRef`),
  CONSTRAINT `FK_scripts_env` FOREIGN KEY (`environmentRef`) REFERENCES `environments` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=62 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `scripts`
--

LOCK TABLES `scripts` WRITE;
/*!40000 ALTER TABLE `scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `signins`
--

DROP TABLE IF EXISTS `signins`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `signins` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `machine` varchar(255) NOT NULL,
  `dataStorePath` varchar(767) NOT NULL,
  `environmentRef` int(10) unsigned NOT NULL,
  `userRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_User` (`userRef`),
  KEY `FK_Signins_Env` (`environmentRef`),
  KEY `FK_Signins_User` (`userRef`),
  CONSTRAINT `FK_Signins_Env` FOREIGN KEY (`environmentRef`) REFERENCES `environments` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_Signins_User` FOREIGN KEY (`userRef`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=latin1 COMMENT='Table of active framework users';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `signins`
--

LOCK TABLES `signins` WRITE;
/*!40000 ALTER TABLE `signins` DISABLE KEYS */;
/*!40000 ALTER TABLE `signins` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `suiterowresults`
--

DROP TABLE IF EXISTS `suiterowresults`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `suiterowresults` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dateTimeStarted` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `dateTimeCompleted` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `row` int(10) unsigned NOT NULL,
  `testSuiteResultsRef` int(10) unsigned NOT NULL,
  `testResult` smallint(5) signed NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_Time` (`dateTimeStarted`,`dateTimeCompleted`,`row`,`testSuiteResultsRef`),
  KEY `FK_SuiteRowResults_Suite` (`testSuiteResultsRef`),
  CONSTRAINT `FK_SuiteRowResults_Suite` FOREIGN KEY (`testSuiteResultsRef`) REFERENCES `testsuiteresults` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `suiterowresults`
--

LOCK TABLES `suiterowresults` WRITE;
/*!40000 ALTER TABLE `suiterowresults` DISABLE KEYS */;
/*!40000 ALTER TABLE `suiterowresults` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testcaseresults`
--

DROP TABLE IF EXISTS `testcaseresults`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `testcaseresults` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `DateTimeStarted` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `DateTimeCompleted` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `testCaseRef` int(10) unsigned NOT NULL,
  `scenarioResultsRef` int(10) unsigned NOT NULL,
  `testResult` smallint(5) signed NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_DateTime` (`DateTimeStarted`,`DateTimeCompleted`,`testCaseRef`,`scenarioResultsRef`),
  KEY `FK_testcaseresults_scenarioresults` (`scenarioResultsRef`),
  KEY `FK_testcaseresults_testcase` (`testCaseRef`),
  CONSTRAINT `FK_testcaseresults_scenarioresults` FOREIGN KEY (`scenarioResultsRef`) REFERENCES `scenarioresults` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_testcaseresults_testcase` FOREIGN KEY (`testCaseRef`) REFERENCES `testcases` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testcaseresults`
--

LOCK TABLES `testcaseresults` WRITE;
/*!40000 ALTER TABLE `testcaseresults` DISABLE KEYS */;
/*!40000 ALTER TABLE `testcaseresults` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testcases`
--

DROP TABLE IF EXISTS `testcases`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `testcases` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL,
  `description` varchar(255) NOT NULL,
  `environmentref` int(10) unsigned NOT NULL,
  `reason` VARCHAR(255) NULL,
  `dateTimeChanged` TIMESTAMP,
  `enabled` BIT NOT NULL DEFAULT 1,
  `userRef` INT UNSIGNED NULL,
  `testcaseRef` INT UNSIGNED,
  PRIMARY KEY (`id`),
  INDEX `IX_Testcases` (`environmentRef` ASC, `enabled` ASC, `name` ASC),
  KEY `FK_testcases_env` (`environmentref`),
  CONSTRAINT `FK_testcases_env` FOREIGN KEY (`environmentref`) REFERENCES `environments` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_testcases_users` FOREIGN KEY (`userRef`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_testcases_testcases` FOREIGN KEY (`testcaseRef`) REFERENCES `testcases` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testcases`
--

LOCK TABLES `testcases` WRITE;
/*!40000 ALTER TABLE `testcases` DISABLE KEYS */;
/*!40000 ALTER TABLE `testcases` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testsuiteresults`
--

DROP TABLE IF EXISTS `testsuiteresults`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `testsuiteresults` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `DateTimeStarted` TIMESTAMP NOT NULL,
  `DateTimeCompleted` TIMESTAMP NOT NULL,
  `Visible` BIT NOT NULL DEFAULT 1,
  `executionTestSuiteRef` int(10) unsigned NOT NULL,
  `name` varchar(100) NOT NULL,
  `description` varchar(255) NOT NULL,
  `filterSuiteRef` int(10) unsigned DEFAULT NULL,
  `testResult` smallint(5) signed NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IX_TestSuiteResults` (`executionTestSuiteRef`,`name`,`DateTimeStarted`) USING BTREE,
  KEY `FK_testsuiteresults_execution` (`executionTestSuiteRef`),
  KEY `FK_testsuiteresults_filter` (`filterSuiteRef`),
  CONSTRAINT `FK_testsuiteresults_execution` FOREIGN KEY (`executionTestSuiteRef`) REFERENCES `executiontestsuites` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_testsuiteresults_filter` FOREIGN KEY (`filterSuiteRef`) REFERENCES `filtersuites` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testsuiteresults`
--

LOCK TABLES `testsuiteresults` WRITE;
/*!40000 ALTER TABLE `testsuiteresults` DISABLE KEYS */;
/*!40000 ALTER TABLE `testsuiteresults` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `useractiondata`
--

DROP TABLE IF EXISTS `useractiondata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `useractiondata` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `DataValue` varchar(767) NOT NULL,
  `dataNameRef` int(10) unsigned NOT NULL,
  `userRowIdentifierRef` int(10) unsigned NOT NULL,
  `type` int(10) unsigned NOT NULL,
  `encryptedValue` VARBINARY(1024) NULL,
  `encodedValue` BINARY(8) NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_Value` (`userRowIdentifierRef`,`dataNameRef`),
  KEY `FK_UserActionData_Name` (`dataNameRef`),
  KEY `FK_UserActionData_Row` (`userRowIdentifierRef`),
  CONSTRAINT `FK_UserActionData_Name` FOREIGN KEY (`dataNameRef`) REFERENCES `datanames` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserActionData_Row` FOREIGN KEY (`userRowIdentifierRef`) REFERENCES `userrowidentifiers` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=756109 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `useractiondata`
--

LOCK TABLES `useractiondata` WRITE;
/*!40000 ALTER TABLE `useractiondata` DISABLE KEYS */;
/*!40000 ALTER TABLE `useractiondata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `userdatagroupdatanames`
--

DROP TABLE IF EXISTS `userdatagroupdatanames`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `userdatagroupdatanames` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `sequence` int(11) NOT NULL,
  `dataNameRef` int(10) unsigned NOT NULL,
  `userScriptDataRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_DataNames_DataGroup` (`sequence`,`dataNameRef`,`userScriptDataRef`),
  KEY `FK_datagroup_userdata` (`userScriptDataRef`),
  KEY `FK_userdata_datanames` (`dataNameRef`),
  CONSTRAINT `FK_datagroup_userdata` FOREIGN KEY (`userScriptDataRef`) REFERENCES `userscriptdata` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_userdatag_datanames` FOREIGN KEY (`dataNameRef`) REFERENCES `datanames` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `userdatagroupdatanames`
--

LOCK TABLES `userdatagroupdatanames` WRITE;
/*!40000 ALTER TABLE `userdatagroupdatanames` DISABLE KEYS */;
/*!40000 ALTER TABLE `userdatagroupdatanames` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `userenvironments`
--

DROP TABLE IF EXISTS `userenvironments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `userenvironments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(767) NOT NULL,
  `dataStorePath` varchar(767) NOT NULL,
  `logPath` varchar(767) NOT NULL,
  `outputPath` varchar(767) NOT NULL,
  `testToolPath` varchar(767) NOT NULL,
  `enabled` BIT NOT NULL DEFAULT 1,
  `environmentRef` int(10) unsigned NOT NULL,
  `userRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_User` (`environmentRef`,`userRef`),
  KEY `FK_userenvironments_environment` (`environmentRef`),
  KEY `FK_userenvironments_user` (`userRef`),
  CONSTRAINT `FK_userenvironments_env` FOREIGN KEY (`environmentRef`) REFERENCES `environments` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_userenvironments_user` FOREIGN KEY (`userRef`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=68 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `userenvironments`
--

LOCK TABLES `userenvironments` WRITE;
/*!40000 ALTER TABLE `userenvironments` DISABLE KEYS */;
/*!40000 ALTER TABLE `userenvironments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `userrowidentifiers`
--

DROP TABLE IF EXISTS `userrowidentifiers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `userrowidentifiers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Row` int(10) unsigned NOT NULL,
  `actionNameRef` int(10) unsigned NOT NULL,
  `userScriptDataRef` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idxRow` (`userScriptDataRef`,`actionNameRef`,`Row`),
  KEY `FK_UserRowIdentifiers_Action` (`actionNameRef`),
  KEY `FK_UserRowIdentifiers_Script` (`userScriptDataRef`),
  CONSTRAINT `FK_UserRowIdentifiers_Action` FOREIGN KEY (`actionNameRef`) REFERENCES `actionnames` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserRowIdentifiers_Script` FOREIGN KEY (`userScriptDataRef`) REFERENCES `userscriptdata` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=108080 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `userrowidentifiers`
--

LOCK TABLES `userrowidentifiers` WRITE;
/*!40000 ALTER TABLE `userrowidentifiers` DISABLE KEYS */;
/*!40000 ALTER TABLE `userrowidentifiers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(15) NOT NULL,
  `password` varchar(255) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `userTypeGroupName` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_Name` (`username`),
  KEY `FK_users_group` (`userTypeGroupName`),
  CONSTRAINT `FK_users_group` FOREIGN KEY (`userTypeGroupName`) REFERENCES `groups` (`group_name`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `userscriptdata`
--

DROP TABLE IF EXISTS `userscriptdata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `userscriptdata` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `datagroupref` int(10) unsigned NOT NULL,
  `userref` int(10) unsigned NOT NULL,
  `nextAvailable` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_Group` (`datagroupref`,`userref`) USING BTREE,
  KEY `FK_userscriptdata_Group` (`datagroupref`),
  KEY `FK_userscriptdata_User` (`userref`),
  CONSTRAINT `FK_userscriptdata_Group` FOREIGN KEY (`datagroupref`) REFERENCES `datagroups` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_userscriptdata_User` FOREIGN KEY (`userref`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `userscriptdata`
--

LOCK TABLES `userscriptdata` WRITE;
/*!40000 ALTER TABLE `userscriptdata` DISABLE KEYS */;
/*!40000 ALTER TABLE `userscriptdata` ENABLE KEYS */;
UNLOCK TABLES;
--
-- Table structure for table `userpreferences`
--

DROP TABLE IF EXISTS `userpreferences`;
CREATE TABLE `userpreferences` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `userRef` int(10) unsigned NOT NULL,
  `preferenceKey` varchar(200) NOT NULL,
  `preferenceValue` varchar(767) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_userPreference` (`userRef`,`preferenceKey`),
  CONSTRAINT `FK_userPreferences_user` FOREIGN KEY (`userRef`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


--
-- Table structure for table `userenvironmentpreferences`
--
DROP TABLE IF EXISTS `userenvironmentpreferences`;
CREATE TABLE `userenvironmentpreferences` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `userEnvironmentRef` int(10) unsigned NOT NULL,
  `preferenceKey` varchar(200) NOT NULL,
  `preferenceValue` varchar(767) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_userEnvironmentPreference` (`userEnvironmentRef`,`preferenceKey`),
  CONSTRAINT `FK_userEnvironmentPreferences_userEnvironment` FOREIGN KEY (`userEnvironmentRef`) REFERENCES `userenvironments` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `environmentpreferences`
--
DROP TABLE IF EXISTS `environmentpreferences`;
CREATE TABLE `environmentpreferences` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `environmentRef` int(10) unsigned NOT NULL,
  `preferenceKey` varchar(200) NOT NULL,
  `preferenceValue` varchar(767) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_environmentPreference` (`environmentRef`,`preferenceKey`),
  CONSTRAINT `FK_environmentPreferences_environment` FOREIGN KEY (`environmentRef`) REFERENCES `environments` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `executiontestsuitepreferences`
--
DROP TABLE IF EXISTS `executiontestsuitepreferences`;
CREATE TABLE `executiontestsuitepreferences` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `executionTestSuiteRef` int(10) unsigned NOT NULL,
  `preferenceKey` varchar(200) NOT NULL,
  `preferenceValue` varchar(767) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_executionTestSuitePreferences` (`executionTestSuiteRef`,`preferenceKey`),
  CONSTRAINT `FK_executionTestSuitePreferences_executionTestSuites` FOREIGN KEY (`executionTestSuiteRef`) REFERENCES `executiontestsuites` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-05-09 15:04:21